buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lac...@apache.org
Subject svn commit: r777219 - in /buildr/trunk: CHANGELOG doc/getting_started.textile doc/scripts/install-linux.sh
Date Thu, 21 May 2009 18:50:41 GMT
Author: lacton
Date: Thu May 21 18:50:41 2009
New Revision: 777219

URL: http://svn.apache.org/viewvc?rev=777219&view=rev
Log:
Mandriva (urpmi) installation support.

Modified:
    buildr/trunk/CHANGELOG
    buildr/trunk/doc/getting_started.textile
    buildr/trunk/doc/scripts/install-linux.sh

Modified: buildr/trunk/CHANGELOG
URL: http://svn.apache.org/viewvc/buildr/trunk/CHANGELOG?rev=777219&r1=777218&r2=777219&view=diff
==============================================================================
--- buildr/trunk/CHANGELOG (original)
+++ buildr/trunk/CHANGELOG Thu May 21 18:50:41 2009
@@ -1,4 +1,5 @@
 1.3.5 (Pending)
+* Added:  Mandriva (urpmi) installation support (with help from Franck Villaume).
 
 1.3.4 (2009-04-21)
 * Added:  BUILDR-93 Add specs for ScalaCheck integration

Modified: buildr/trunk/doc/getting_started.textile
URL: http://svn.apache.org/viewvc/buildr/trunk/doc/getting_started.textile?rev=777219&r1=777218&r2=777219&view=diff
==============================================================================
--- buildr/trunk/doc/getting_started.textile (original)
+++ buildr/trunk/doc/getting_started.textile Thu May 21 18:50:41 2009
@@ -20,7 +20,7 @@
 
 h2(#linux).  Installing on Linux
 
-*The easy way:* Use this bash script to "install Buildr on Linux":scripts/install-linux.sh.
 This script will install the most recent version of Buildr, or if already installed, upgrade
to the most recent version.  It will also install Ruby 1.8.6 if not already installed (requires
@apt-get@ or @yum@) and upgrade to RubyGems 1.3.1 or later.
+*The easy way:* Use this bash script to "install Buildr on Linux":scripts/install-linux.sh.
 This script will install the most recent version of Buildr, or if already installed, upgrade
to the most recent version.  It will also install Ruby 1.8.6 if not already installed (requires
@apt-get@, @yum@ or @urpmi@) and upgrade to RubyGems 1.3.1 or later.
 
 p(note). At this time, the native Ruby-Java Bridge (RJB) does not work very well on Linux
with JDK 1.6.  If you get Segmentation Fault errors with JDK 1.6, we recommend switching to
JDK 1.5.
 

Modified: buildr/trunk/doc/scripts/install-linux.sh
URL: http://svn.apache.org/viewvc/buildr/trunk/doc/scripts/install-linux.sh?rev=777219&r1=777218&r2=777219&view=diff
==============================================================================
--- buildr/trunk/doc/scripts/install-linux.sh (original)
+++ buildr/trunk/doc/scripts/install-linux.sh Thu May 21 18:50:41 2009
@@ -16,6 +16,7 @@
 if [ -z `which ruby` ] ; then
   echo "You do not have Ruby 1.8.6 ..."
   # yum comes first since some people have apt-get installed in addition to yum.
+  # urpmi is added in case of mandriva : apt-get or yum are working for mandriva too
   if [ `which yum` ] ; then
     echo "Installing Ruby using yum"
     sudo yum install ruby rubygems ruby-devel gcc
@@ -34,8 +35,15 @@
     rm -rf rubygems-1.3.1
     # ruby is same as ruby1.8, we need gem that is same as gem1.8
     sudo ln -s /usr/bin/gem1.8 /usr/bin/gem
+  elif [ `which urpmi` ] ; then
+    echo "Installing Ruby using urpmi"
+    sudo urpmi ruby rubygems ruby-devel gcc
+    if [ $? -ne 0 ] ; then
+      echo "URPMI install error"
+      exit 1
+    fi
   else
-    echo "Can only install Ruby 1.8.6 using apt-get or yum, and can't find either one"
+    echo "Can only install Ruby 1.8.6 using apt-get, yum or urpmi, and can't find any of
them"
     exit 1
   fi
   echo



Mime
View raw message